设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 656|回复: 18

[标注] CAD坐标直接标注经纬度

[复制链接]

已领礼包: 3个

财富等级: 恭喜发财

发表于 2020-8-26 07:35:33 | 显示全部楼层 |阅读模式
  • 插件名称 : CAD坐标直接标注经纬度(墨卡托计算,不适用高斯分度投影)
  • 作  者 : 小新
  • 运行环境 :不限 
  • 发布时间 :2020-08-26
  • 命令名称 :jwbz
  • 插件介绍 :根据CAD XY坐标系按墨卡托计算方法自动标注经纬度坐标:
    直转经纬(Z):根据当前标注位置XY计算经纬度,需要插入的卫星影像底图没有被移动过,移动过标注均为错误。
    基参经纬(X):当上述影像被移动过位置,根据提示选择一个点,输入实际经纬度,根据XY相对坐标位置,标注出其他位置的经纬度。
    原始坐标(C):即标注XY坐标,方便部分需要标注XY坐标的朋友
  • 备  注 : (点击图片可以放大)
    无需其它插件支持,便携,另外支持浩辰CAD
(点击图片可以放大)

晓东温馨提示 1、运行环境为 晓东工具箱XDRX API 的插件,请下载最新版本的 晓东工具箱XDRX API开发环境 一键安装
2、在ACAD中如何加载插件,请看 论坛插件使用方法
3、如果您有要求需要定制插件,请到 编程申请 论坛发帖求助

插件详细内容

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
根据CAD XY坐标系按墨卡托计算方法自动标注经纬度坐标:
直转经纬(Z):根据当前标注位置XY计算经纬度,需要插入的卫星影像底图没有被移动过,移动过标注均为错误。
基参经纬(X):当上述影像被移动过位置,根据提示选择一个点,输入实际经纬度,根据XY相对坐标位置,标注出其他位置的经纬度。
原始坐标(C):即标注XY坐标,方便部分需要标注XY坐标的朋友
无需其它插件支持,便携,另外支持浩辰CAD

  1. (defun c:jwbz (/ fontvalue i key linetf        realpoint style_list temp_linelr
  2.                temp_linetf temp_point_1        temp_point_3 temp_point_4
  3.                temp_xy user_point_1 wgs        wgs_point wgsorxy x_dot_len
  4.                X_VALUE xy y_dot_len Y_VALUE
  5.               )
  6.   (defun defun_default ()
  7.     (while 1
  8.       (if (= (type key) 'LIST)
  9.         (progn (setq user_point_1 key) (setq key nil))
  10.         (setq user_point_1 (getpoint "\n请选中需要标注位置:"))
  11.       )
  12.       (while (equal user_point_1 nil)
  13.         (setq user_point_1 (getpoint "\n请选中需要标注位置:"))
  14.       )
  15.       (writeatt user_point_1 (xy2wgs user_point_1) "WGS" linetf)
  16.     )
  17.   )
  18.   (defun defun_1 ()
  19.     (setq realpoint (getpoint "\n请选中参照点:"))
  20.                                         ; 这里realpoint为用户选择?
  21.                                         ; 牟握盏?
  22.     (setq wgs_point (wgs2xy (list (getreal "请输入参照点实际经度:")
  23.                                   (getreal "请输入参照点实际纬度:")
  24.                             )
  25.                     )
  26.     )                                        ; 这里wgs_point为用户输入的经纬度对应
  27.                                         ; 的墨卡托坐标
  28.     (while 1
  29.       (setq user_point_1 (getpoint "\n请选中需要标注位置:"))
  30.       (while (equal user_point_1 nil)
  31.         (setq user_point_1 (getpoint "\n请选中需要标注位置:"))
  32.       )
  33.       (setq
  34.         xy (xy2wgs (polar (polar user_point_1
  35.                                  0
  36.                                  (- (car wgs_point) (car realpoint))
  37.                           )
  38.                           (* pi 0.5)
  39.                           (- (cadr wgs_point) (cadr realpoint))
  40.                    )
  41.            )
  42.       )                                        ; 根据差值取偏移后的值
  43.       (writeatt user_point_1 xy "WGS" linetf)
  44.     )
  45.   )
  46.   (defun defun_2 ()
  47.     (while 1
  48.       (setq user_point_1 (getpoint "\n请选中需要标注位置:"))
  49.       (while (equal user_point_1 nil)
  50.         (setq user_point_1 (getpoint "\n请选中需要标注位置:"))
  51.       )
  52.       (writeatt user_point_1 user_point_1 "XY" linetf)
  53.     )
  54.   )                                        ; ----------------------------应用函?
  55.                                         ; ?----------------------------------
  56.                                         ; ------
  57.   (defun onmsg ()                        ; 开启消息回显
  58.     (setvar "CMDECHO" 1)
  59.     (setvar "nomutt" 0)
  60.   )
  61.   (defun offmsg        ()                        ; 关闭消息回显
  62.     (setvar "CMDECHO" 0)
  63.     (setvar "nomutt" 1)
  64.   )
  65.   (defun writeatt (temp_point_1 temp_xy wgsorxy temp_linetf)
  66.                                         ; 写入数据块
  67.     (setq
  68.       temp_point_3 (getpoint temp_point_1 "\n请选择坐标标注插入位置:")
  69.     )
  70.     (while (equal temp_point_3 nil)
  71.       (setq temp_point_3
  72.              (getpoint temp_point_1 "\n请选择坐标标注插入位置:")
  73.       )
  74.     )
  75.     (if        (> 0 (- (car temp_point_1) (car temp_point_3)))
  76.       (setq temp_linelr 0)
  77.       (setq temp_linelr pi)
  78.     )
  79.     (setq temp_point_4 (polar temp_point_3 temp_linelr 20))
  80.     (offmsg)
  81.     (setq fontvalue "Standard")                ; 先设置为标准
  82.     (setq style_list (tblsearch "style" "宋体"))
  83.     (if        (not style_list)
  84.       (setq fontvalue "宋体")
  85.       (progn (setq i 0)
  86.              (while (nth i style_list)
  87.                (if (= (cdr (nth i style_list)) "宋体")
  88.                  (setq fontvalue "宋体")
  89.                )
  90.                (setq i (1+ i))
  91.              )
  92.       )
  93.     )
  94.     (if        (= wgsorxy "WGS")
  95.       (progn (setq X_VALUE "经度:")
  96.              (setq Y_VALUE "纬度:")
  97.              (setq x_dot_len 6)
  98.              (setq y_dot_len 6)
  99.       )
  100.       (progn (setq X_VALUE "X=")
  101.              (setq Y_VALUE "Y=")
  102.              (setq x_dot_len 4)
  103.              (setq y_dot_len 4)
  104.              (if (> (fix (car temp_xy)) 100000)
  105.                (setq x_dot_len (- x_dot_len 2))
  106.              )
  107.              (if (> (fix (cadr temp_xy)) 100000)
  108.                (setq y_dot_len (- y_dot_len 2))
  109.              )
  110.       )
  111.     )
  112.     (entmake
  113.       (list '(0 . "MTEXT")
  114.             '(100 . "AcDbEntity")
  115.             '(100 . "AcDbMText")
  116.             (cons 7 fontvalue)
  117.             (cons 1
  118.                   (strcat X_VALUE
  119.                           (rtos (car temp_xy) 2 x_dot_len)
  120.                           "\n"
  121.                           Y_VALUE
  122.                           (rtos (cadr temp_xy) 2 y_dot_len)
  123.                   )
  124.             )
  125.             (cons 71 5)
  126.             (cons 62 3)
  127.             (cons 40 1.9)
  128.             (cons 5 "242")
  129.             (cons 10 (polar temp_point_3 temp_linelr 10))
  130.       )
  131.     )
  132.     (if        (= temp_linetf "Y")
  133.       (entmake (append (list '(0 . "LWPOLYLINE")
  134.                              '(100 . "AcDbEntity")
  135.                              '(100 . "AcDbPolyline")
  136.                              (cons 62 3)
  137.                              (cons 90 3)
  138.                              (cons 10 temp_point_1)
  139.                              (cons 10 temp_point_3)
  140.                              (cons 10 temp_point_4)
  141.                        )
  142.                )
  143.       )
  144.     )
  145.     (onmsg)
  146.   )
  147.   (defun wgs2xy        (wgs)                        ; wgs84转墨卡托(表为参数)
  148.     (list (* (/ (car wgs) 180) 20037508.34)
  149.           (/ (*        (/ (log        (/ (sin (/ (* pi (+ (cadr wgs) 90)) 360))
  150.                            (cos (/ (* pi (+ (cadr wgs) 90)) 360))
  151.                         )
  152.                    )
  153.                    (/ pi 180)
  154.                 )
  155.                 20037508.34
  156.              )
  157.              180
  158.           )
  159.     )
  160.   )
  161.   (defun xy2wgs        (xy)                        ; 墨卡托转wgs84(表为参数)
  162.     (list
  163.       (/ (* (car xy) 180) 20037508.34)
  164.       (*
  165.         (/ 180 pi)
  166.         (-
  167.           (* 2
  168.              (atan (exp (/ (* (/ (* (cadr xy) 180) 20037508.34) pi) 180))
  169.              )
  170.           )
  171.           (/ pi 2)
  172.         )
  173.       )
  174.     )
  175.   )
  176.   (setvar "dimzin" 0)
  177.   (setq linetf "Y")
  178.   (initget "Z X C W")
  179.   (princ "\n请选择标注方式:")
  180.   (setq        key
  181.          (getpoint
  182.            "\n请选中需要标注位置或输入参数:[直转经纬(Z)/基参经纬(X)/原始坐标(C)]"
  183.          )
  184.   )
  185.   (cond        ((not key) (defun_default))
  186.         ((= key "Z") (defun_default))
  187.         ((= key "X") (defun_1))
  188.         ((= key "C") (defun_2))
  189.   )                                        ; cond
  190.   (defun_default)                        ; 因为跳过了关键词,故执行默认的函数
  191.   (princ)
  192. )



论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!

已领礼包: 3416个

财富等级: 富可敌国

发表于 2020-8-27 00:01:23 | 显示全部楼层
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

已领礼包: 408个

财富等级: 日进斗金

发表于 2020-8-27 07:59:35 | 显示全部楼层
可惜了,不支持高斯投影
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 366个

财富等级: 日进斗金

发表于 2020-8-27 08:06:36 | 显示全部楼层
好东西啊,支持支持
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 3个

财富等级: 恭喜发财

 楼主| 发表于 2020-8-27 09:02:34 | 显示全部楼层
kyky1002 发表于 2020-8-27 07:59
可惜了,不支持高斯投影

高斯投影算法复杂了点,还得手动输入带号,后面会做
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 631个

财富等级: 财运亨通

发表于 2020-8-27 09:21:27 | 显示全部楼层
有用有用,快收下
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 19个

财富等级: 恭喜发财

发表于 2020-8-27 16:06:02 | 显示全部楼层
要是能直接读 geotiff 的数据就好了
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 3个

财富等级: 恭喜发财

 楼主| 发表于 2020-8-27 18:43:38 | 显示全部楼层
Lisphk 发表于 2020-8-27 16:06
要是能直接读 geotiff 的数据就好了

你把影像导入进去就可以标注呀。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 19个

财富等级: 恭喜发财

发表于 2020-8-27 18:57:00 | 显示全部楼层
zn1996 发表于 2020-8-27 18:43
你把影像导入进去就可以标注呀。

我的意思是不用自己输入实际WGS坐标,而是程序直接根据点就从GEOTIFF图片里面,提取到WGS坐标
就和其他GIS软件一样
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 3个

财富等级: 恭喜发财

 楼主| 发表于 2020-8-27 20:20:09 | 显示全部楼层
Lisphk 发表于 2020-8-27 18:57
我的意思是不用自己输入实际WGS坐标,而是程序直接根据点就从GEOTIFF图片里面,提取到WGS坐标
就和其他G ...

你这想法很好,实现起来比较困难,geotiff里的信息用lisp读取起来并不方便,每次标注还得去选中那个影像。而且很多tif文件并不包含geotiff信息。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 19个

财富等级: 恭喜发财

发表于 2020-8-27 21:00:59 | 显示全部楼层
zn1996 发表于 2020-8-27 20:20
你这想法很好,实现起来比较困难,geotiff里的信息用lisp读取起来并不方便,每次标注还得去选中那个影像 ...

探讨下,
实际坐标你是怎么知道的呢? 不还是要对照着在线地图影像?
如果需要在线地图影像,那么就可以得到geotiff,

如果没有在线影像的环境,如果能根据GEOTIFF直接得到实际坐标,那肯定是最方便的。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 20个

财富等级: 恭喜发财

发表于 2020-8-27 21:18:24 | 显示全部楼层
zn1996 发表于 2020-8-27 20:20
你这想法很好,实现起来比较困难,geotiff里的信息用lisp读取起来并不方便,每次标注还得去选中那个影像 ...

思路是去找 activex 对象,然后用 vlisp 的方法可以做,
抛个砖,  使用 WIA.Imagefile 对象,可以得到图片的GIS各种信息
  1. (defun exifdata (file / idata)
  2.   ;;/ err idata iprop imgObj )
  3.   (if (and (setq file (findfile file))
  4.            (setq imgObj (vlax-create-object "WIA.Imagefile"))
  5.       ) ;_ end of and
  6.     (progn
  7.       (setq
  8.         err (vl-catch-all-apply
  9.               (function
  10.                 (lambda nil
  11.                   (vlax-invoke-method imgObj 'loadfile file)
  12.                   (setq iprop (vlax-get-property imgObj 'properties))
  13.                   (princ "\nProperties")
  14.                 ) ;_ end of lambda
  15.               ) ;_ end of function
  16.             ) ;_ end of vl-catch-all-apply
  17.       ) ;_ end of setq
  18.       (if (null (vl-catch-all-error-p err))
  19.         (progn
  20.           ;;(dumpall iprop)
  21.           (setq idata (getall iprop))
  22.           (princ "\nData")
  23.           ;;(dumpall idata)
  24.         ) ;_ end of progn
  25.       ) ;_ end of if
  26. ;_ end of if
  27.     ) ;_ end of progn
  28.   ) ;_ end of if
  29.   iprop
  30. ) ;_ end of defun

  31. (defun getall (collection / err x valuelist name prop)
  32.   (vlax-for x collection
  33.     (setq name (vl-catch-all-apply '(lambda nil (vlax-get-property x 'name))))
  34.     (setq prop (vl-catch-all-apply '(lambda nil (vlax-variant-value (vlax-get-property x 'value)))))
  35.     (if (and (null (vl-catch-all-error-p name)) (null (vl-catch-all-error-p prop)))
  36.       (setq valuelist (cons (cons name prop) valuelist))
  37.     ) ;_ end of if
  38.     ;;(vlax-dump-object x T)
  39. ;_ end of setq
  40.   ) ;_ end of vlax-for
  41.   (if (listp valuelist)
  42.     ;;(null (vl-catch-all-error-p err))
  43.     (reverse valuelist)
  44.   ) ;_ end of if
  45. ;;;  (foreach x (reverse valuelist)
  46. ;;;    (princ (strcat "\n" (vl-princ-to-string x)))
  47. ;;;  ) ;_ end of foreach
  48. ) ;_ end of defun



通过上面函数,去读一个GEOTIFF文件,然后看看能打印出什么信息
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 20个

财富等级: 恭喜发财

发表于 2020-8-27 22:30:41 | 显示全部楼层
zn1996 发表于 2020-8-27 20:20
你这想法很好,实现起来比较困难,geotiff里的信息用lisp读取起来并不方便,每次标注还得去选中那个影像 ...


(("ImageWidth" . 1645)
("ImageHeight" . 4096)
("BitsPerSample" . #<VLA-OBJECT IVector 00000215fc6b81c0>)
("Compression" . 7)
("PhotometricInterp" . 2)
("SamplesPerPixel" . 3)
("PlanarConfig" . 1)
("TileWidth" . 256)
("TileLength" . 256)
("TileOffset" . #<VLA-OBJECT IVector 00000215fc6b8a10>)
("TileByteCounts" . #<VLA-OBJECT IVector 00000215fc6b8af0>)
("SampleFormat" . #<VLA-OBJECT IVector 00000215fc6b8d20>)
("347" . #<VLA-OBJECT IVector 00000215fc6b8ee0>)
("33550" . #<VLA-OBJECT IVector 00000215fc6b8c40>)
("33922" . #<VLA-OBJECT IVector 00000215fc6b8460>)
("34735" . #<VLA-OBJECT IVector 00000215fc6b8e00>)
("34736" . #<VLA-OBJECT IVector 00000215fc6b8150>)
("34737" . "SIRGAS-ROU98|SIRGAS-ROU98 / UTM zone 22S|"))


具体的经纬度信息去遍历对象 IVector
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 20个

财富等级: 恭喜发财

发表于 2020-8-27 22:42:44 | 显示全部楼层
zn1996 发表于 2020-8-27 20:20
你这想法很好,实现起来比较困难,geotiff里的信息用lisp读取起来并不方便,每次标注还得去选中那个影像 ...

命令: (EXIFDATA "d:\\yyd.tif")

Properties
Data#<VLA-OBJECT IProperties 0000023493cb5e18>

命令: !idata
(("ImageWidth" . 21472) ("ImageHeight" . 5952) ("BitsPerSample" . #<VLA-OBJECT IVector 0000023493e8dd10>) ("Compression" . 1) ("PhotometricInterp" . 2) ("ImageDescription" . "BIGEMAP MapDownloader") ("SamplesPerPixel" . 3) ("PlanarConfig" . 1) ("SoftwareUsed" . "BIGEMAP") ("TileWidth" . 256) ("TileLength" . 256) ("TileOffset" . #<VLA-OBJECT IVector 0000023493e8e720>) ("TileByteCounts" . #<VLA-OBJECT IVector 0000023493e8ddf0>) ("SampleFormat" . #<VLA-OBJECT IVector 0000023493e8dca0>) ("Copyright" . "Copyright (c) 2020 BIGEMAP") ("33550" . #<VLA-OBJECT IVector 0000023493e8e330>) ("33922" . #<VLA-OBJECT IVector 0000023493e8de60>) ("34735" . #<VLA-OBJECT IVector 0000023493e8e3a0>) ("34736" . #<VLA-OBJECT IVector 0000023493e8e250>) ("34737" . "WGS 84|"))


论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 3个

财富等级: 恭喜发财

 楼主| 发表于 2020-8-27 23:10:20 | 显示全部楼层
marting 发表于 2020-8-27 22:42
命令: (EXIFDATA "d:\\yyd.tif")

Properties

感谢老哥,我来尝试下。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2021-2-28 11:18 , Processed in 0.154238 second(s), 45 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表